libzypp: zyppng::ProvideMediaSpec::Impl Class Reference

libzypp 17.38.6

zyppng::ProvideMediaSpec::Impl Class Reference
Inheritance diagram for zyppng::ProvideMediaSpec::Impl:

## Public Member Functions
| Impl ()
| Impl (std::string &&label, zypp::Pathname &&vPath, unsigned medianr)
Public Member Functions inherited from zyppng::ProvideSpecBasePrivate
| ProvideSpecBasePrivate ()
| ProvideSpecBasePrivate (const ProvideSpecBasePrivate &)=default
| ProvideSpecBasePrivate (ProvideSpecBasePrivate &&)=delete
ProvideSpecBasePrivate & | operator= (const ProvideSpecBasePrivate &)=delete
ProvideSpecBasePrivate & | operator= (ProvideSpecBasePrivate &&)=delete
virtual | ~ProvideSpecBasePrivate ()

## Static Public Member Functions
static zypp::shared_ptr< Impl > | nullimpl ()
| Offer default Impl.

## Public Attributes
std::string | _label
unsigned | _medianr = 0U
zypp::Pathname | _verifyDataPath
Public Attributes inherited from zyppng::ProvideSpecBasePrivate
HeaderValueMap | _customHeaders

## Private Member Functions
Impl * | clone () const

## Friends
ProvideMediaSpec::Impl * | zypp::rwcowClone (const ProvideMediaSpec::Impl *rhs)

## Detailed Description

Definition at line 34 of file providespec.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

zyppng::ProvideMediaSpec::Impl::Impl | ( |  | ) |
| inline

Definition at line 37 of file providespec.cc.

## ◆ Impl() [2/2]

zyppng::ProvideMediaSpec::Impl::Impl | ( | std::string && | label,
|  | zypp::Pathname && | vPath,
|  | unsigned | medianr )
| inline

Definition at line 40 of file providespec.cc.

## Member Function Documentation

## ◆ nullimpl()

zypp::shared_ptr< Impl > zyppng::ProvideMediaSpec::Impl::nullimpl | ( |  | ) |
| inlinestatic

Offer default Impl.

Definition at line 52 of file providespec.cc.

## ◆ clone()

Impl * zyppng::ProvideMediaSpec::Impl::clone | ( |  | ) | const
| inlineprivate

Definition at line 57 of file providespec.cc.

## Friends And Related Symbol Documentation

## ◆ zypp::rwcowClone

ProvideMediaSpec::Impl * zypp::rwcowClone | ( | const ProvideMediaSpec::Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _label

std::string zyppng::ProvideMediaSpec::Impl::_label

Definition at line 46 of file providespec.cc.

## ◆ _medianr

unsigned zyppng::ProvideMediaSpec::Impl::_medianr = 0U

Definition at line 47 of file providespec.cc.

## ◆ _verifyDataPath

zypp::Pathname zyppng::ProvideMediaSpec::Impl::_verifyDataPath

Definition at line 48 of file providespec.cc.

The documentation for this class was generated from the following file:

- zypp-media/ng/providespec.cc